# delayr

> A Rust UNIX system tool that randomly delays another program execution

## Build

```bash
cargo build
```

## Usage

```bash
delayr --help
```

## Examples

```bash
# Sleep between 1 second and 1 hour before executing
delayr 3600 -- certbot renew -n -q

# Sleep between 30 seconds and 60 seconds before executing, with informational logs
delayr -v -m 30 60 -- borg create [...]

# Sleep 10 seconds before exiting, with debugging logs
delayr -d -m 10 10
```

## Contributing

### Code format

```bash
rustup component add rustfmt
cargo fmt
```

### Code analysis

```bash
rustup component add clippy
cargo clippy
```
